GET v1/Reports/GetEmployeePayStubsByDateRange?startDate={startDate}&endDate={endDate}&employeeNumber={employeeNumber}
Returns EmployeePayStubs object for a Specified Date Range and Employee Number
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| startDate |
The Start Date. e.g 2014-01-01 |
date |
Required |
| endDate |
The End Date. e.g 2014-02-01 |
date |
Required |
| employeeNumber |
The Employee to get the data for |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
EmployeePayStub| Name | Description | Type | Additional information |
|---|---|---|---|
| FileName |
the file name of the Paystub document |
string |
None. |
| PayStubBytes |
Paystub data as byte array |
Collection of byte |
None. |
Response Formats
application/json, text/json
Sample:
{
"FileName": "sample string 1",
"PayStubBytes": "QEA="
}
application/xml, text/xml
Sample:
<EmployeePayStub xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BDBPayroll.TimeAttendance.WebAPI.Models"> <FileName>sample string 1</FileName> <PayStubBytes>QEA=</PayStubBytes> </EmployeePayStub>